Description

Supportanfrage

1) ADTF3 Can communication filters are not working at all.(CAN Config Decoder/Encoder, Demo CAN Decoder/Encoder)

2) „demo_can_decoder.cpp” source code is not available, at all. It is built already, but this way there is no way to make any

changes in the ADTF3 CAN filter implementation.

3) vxlapi64.dll -> DLL entry points are also giving errors (xlGetKeymanBoxes). Even though that the mentioned .dll file contains

the entry point.

See ADTF3_digitalwerk.pptx

Lösung

These errors occur from BETA release, you should upgrade to stable Device TB 3.0.0

1) ADTF3 Can communication filters are not working at all.(CAN Config Decoder/Encoder, Demo CAN Decoder/Encoder)

 First of all, what exactly are you trying to do ?

How is your session and how do you start ?

The error messages are very late so please check the complete console log what the errors are before.

If you are using GUI control, make sure your setup contains a console view service or use LOG Info Tool.

Second, what do you mean by these components are not working at all ?

2) „demo_can_decoder.cpp” source code is not available, at all. It is built already, but this way there is no way to make any

changes in the ADTF3 CAN filter implementation.

Yes, it is.

Please have look in the directory of the Device Toolbox:

./src/examples/src/can_config_decoder

./src/examples/src/can_config_encoder

Please also have a look at

Demo CAN Config Encoder Filter

Demo CAN Config Decoder Filter

And Using CMake with the ADTF Device Toolbox for how to build the examples again.

3) vxlapi64.dll -> DLL entry points are also giving errors (xlGetKeymanBoxes). Even though that the mentioned .dll file contains

the entry point.
https://support.digitalwerk.net/attachments/8466
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_example_source_can_config_encoder.html
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_example_source_can_config_decoder.html
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_cmake.html


 This is a different error right ?

This error is ADTF Plugin Description Generator, this has no connection to the runtime exception.

You are trying to generate a plugin description... for which component ?

What is your call in CMake ?

We know this error from the BETA but it is fixed in stable 3.0.0 release.

I guess your whole setup has one missing, so please check the log from my first suggestion.

History

#2 - 2019-04-08 14:39 - hidden

- Project changed from Public Support to 5

- Status changed from New to In Progress

- Author changed from hidden to hidden

- Topic set to DeviceTB::CAN

#3 - 2019-04-08 14:42 - hidden

- Author changed from hidden to hidden

#4 - 2019-04-08 15:08 - hidden

- Status changed from In Progress to Customer Feedback Required

- Support Level changed from 2nd Level to 3rd Level

Hi Balazs,

you are using Device Toolbox 3.0.0 (not BETA) ?

ADTF3 Can communication filters are not working at all.(CAN Config Decoder/Encoder, Demo CAN Decoder/Encoder)

 First of all, what exactly are you trying to do ?

How is your session and how do you start ?

The error messages are very late so please check the complete console log what the errors are before.

If you are using GUI control, make sure your setup contains a console view service or use LOG Info Tool.

Second, what do you mean by these components are not working at all ?

„demo_can_decoder.cpp” source code is not available, at all. It is built already, but this way there is no way to make any changes in the ADTF3

CAN filter implementation.

Yes, it is.

Please have look in the directory of the Device Toolbox:

./src/examples/src/can_config_decoder

./src/examples/src/can_config_encoder

Please also have a look at

Demo CAN Config Encoder Filter

Demo CAN Config Decoder Filter

And Using CMake with the ADTF Device Toolbox for how to build the examples again.

vxlapi64.dll -> DLL entry points are also giving errors (xlGetKeymanBoxes). Even though that the mentioned .dll file contains the entry point.

 This is a different error right ?

This error is ADTF Plugin Description Generator, this has no connection to the runtime exception.

You are trying to generate a plugin description... for which component ?

What is your call in CMake ?

We know this error from the BETA but it is fixed in stable 3.0.0 release.
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_example_source_can_config_encoder.html
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_example_source_can_config_decoder.html
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_cmake.html


I guess your whole setup has one missing, so please check the log from my first suggestion.

#5 - 2019-04-08 16:44 - hidden

Thanks for the fast reply, we used the 3.0.0 BETA version. We will start the testing with the stable version now.

#6 - 2019-04-08 17:30 - hidden

- Affected Products ADTF Device Toolbox 3.0.0 (BETA) added

- Affected Products deleted (ADTF 3 Support Toolbox 3.1.0)

#7 - 2019-04-12 10:19 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Not Reproducible

#8 - 2019-04-12 10:19 - hidden

- Resolution changed from Not Reproducible to Solved Issue

#9 - 2019-04-12 12:55 - hidden

- File Config_editor.JPG added

- File error1.JPG added

- File error2.JPG added

Now with the new version of the device toolbox(STABLE 3.0.0), there are new error messages when we try to use the adtf filter “Vector Can Device

Receiver” from the toolbox. Afterwards I added all  services for can. I’m not sure what I have to configure in ADTF3. For example , how can I set the

hardware ( Vector Box VN7600XL) in configuration editor? I have attached the screenshots about the errors.

#10 - 2019-04-12 13:26 - hidden

- File devTB_connectVector.png added

- Status changed from To Be Closed to Customer Feedback Required

Hi Balazs,

first of all, you should check the whole log for further information.

To do so, start the ADTF Log View Tool before launch and on the same URL, add the logging service to your session or use the launcher with

--console option, then have a look at errors before.

Assuming, that you have a Vector Box (e.g.: VN7600, VN8970, etc.), a valid license and the boxes are already plugged in. Within the Vector

Hardware Config Tool you have to connect the ADTF Application with the channels of your Vector Box.
Make sure CAN channel maps to the same you are using in ADTF.

For further information take a look into the Vector documentation (here). From this moment on, the ADTF Application (in combination with the Device

Toolbox) is connected with the selected Vector Boxes and is ready to use.

If you set ADTF as application, it will match the default setup of the Receiver Streaming Source (property application_name).

That's it and should work.

Otherwise there must be more information in the log.

#11 - 2019-04-17 09:15 - hidden

Now our collegues are testing it with ADTF 3.4 with device toolbox 3.0.0 STABLE for ADTF 3.4.

They can read CAN messages but no luck with Vector Can messages as:

Error occurs in adtf_launcher.exe :  "ERROR: Failed to get keyman boxes ! [vector_keyman_info_helper.cpp<76>] "

Do you have any idea what could cause this problem?

#12 - 2019-04-17 09:38 - hidden

Hi Balazs,

using ADTF 3.4.0 and Device Toolbox 3.0.0 needs a patch, did use it ? -> Link

I guess the keyman error is not your problem, can you check the complete log ?

Is your Vector license on device or keyman dongle ?

But I guess there is another error before and you can ignore this bug.

#13 - 2019-04-17 16:11 - hidden

Yes, we are using the correct versions.

We have a good license on our VN7600, is it possible that it only works with a VN8900?

#14 - 2019-04-17 16:14 - hidden

Again, please have a look at the complete log, there error always appear if you dont have a keyman dongle, but this wont stop your system.

You can also send us the complete log, this is only the last error and not the origin.

#15 - 2019-04-23 09:41 - hidden
https://kb.vector.com/entry/8/
https://support.digitalwerk.net/projects/download-center/repository/show/adtf-toolboxes/adtf-device-toolbox/release-3.0.0


Any further hints in the complete log ?

#16 - 2019-04-24 09:45 - hidden

- File 20190418.csv added

- File LogView.JPG added

I attached the logs that the tester collegue sent me, using a VN7600. Normal, non Vector CAN messages can be read, but no Vector CAN messages.

Is it possible that the keyman is only supported from VN8900?

Thank you in advance.

#17 - 2019-04-24 10:29 - hidden

Hi Balasz,

again, PLEASE IGNORE THE KEYMAN ERROR, this is a bug which comes ALWAYS when NO KEYMAN DONGLE is connected, as the log says,

everything is working and connecting fine.

We are using VN7600 (no license) and getting the license from keyman dongle.

But you have the license on the VN7600 device and no keyman dongle, right ?

So besides the error (which can be ignored), what is not working in ADTF ?

#19 - 2019-05-06 15:22 - hidden

- Subject changed from ADTF3 CAN Communication System to ADTF 3.x Keyman error during CAN communication startup

- Status changed from Customer Feedback Required to To Be Closed

#20 - 2019-07-19 08:05 - hidden

- Project changed from 5 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
